org.apache.solr.search

## Class ExportQParserPlugin.ExportQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.solr.search.ExtendedQueryBase
    - - org.apache.solr.search.RankQuery
      - - org.apache.solr.search.ExportQParserPlugin.ExportQuery

- All Implemented Interfaces:
    ExtendedQuery
  Enclosing class:
    ExportQParserPlugin

      public class ExportQParserPlugin.ExportQuery
      extends RankQuery

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportQuery()`
    `ExportQuery(SolrParams localParams, SolrParams params, SolrQueryRequest request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RankQuery` | `clone()`
    `Weight` | `createWeight(IndexSearcher searcher, boolean needsScores)`
    `boolean` | `equals(Object other)`
    `MergeStrategy` | `getMergeStrategy()`
    `TopDocsCollector` | `getTopDocsCollector(int len, QueryCommand cmd, IndexSearcher searcher)`
    `int` | `hashCode()`
    `Query` | `rewrite(IndexReader reader)`
    `String` | `toString(String s)`
    `RankQuery` | `wrap(Query mainQuery)`

    - ### Methods inherited from class org.apache.solr.search.ExtendedQueryBase

      `getCache, getCacheSep, getCost, getOptions, getOptionsString, setCache, setCacheSep, setCost`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExportQuery

          public ExportQuery()

    - #### ExportQuery

          public ExportQuery(SolrParams localParams,
                             SolrParams params,
                             SolrQueryRequest request)
                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### clone

          public RankQuery clone()

      Overrides:
        `clone` in class `Object`

    - #### wrap

          public RankQuery wrap(Query mainQuery)

      Specified by:
        `wrap` in class `RankQuery`

    - #### getMergeStrategy

          public MergeStrategy getMergeStrategy()

      Specified by:
        `getMergeStrategy` in class `RankQuery`

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                                     boolean needsScores)
                              throws IOException

      Overrides:
        `createWeight` in class `Query`
      Throws:
        `IOException`

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws IOException

      Overrides:
        `rewrite` in class `Query`
      Throws:
        `IOException`

    - #### getTopDocsCollector

          public TopDocsCollector getTopDocsCollector(int len,
                                                      QueryCommand cmd,
                                                      IndexSearcher searcher)
                                               throws IOException

      Specified by:
        `getTopDocsCollector` in class `RankQuery`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Query`

    - #### equals

          public boolean equals(Object other)

      Specified by:
        `equals` in class `Query`

    - #### toString

          public String toString(String s)

      Overrides:
        `toString` in class `ExtendedQueryBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.